﻿# Conceitos Básicos

## Conhecendo o Computador

O computador é uma máquina capaz de realizar qualquer tipo de computação, ou seja, processar e armazenar informações, realizar cálculos, dos básicos aos científicos, desenho, tratamento de imagens, entretenimento e cultura. Os computadores pessoais e laptops são os aparelhos mais populares quando nos referimos a computador, mas robôs, smartphones (celulares inteligentes) e câmeras também são bons exemplos.

## Parte Física e Lógica

O computador possui o hardware (parte física) e software (parte lógica. Os hardwares são todos os componentes físicos da máquina: Processador, memória, HD, teclado, caixas de som, etc. Os softwares são os programas instalados que fazem a máquina funcionar e executar tarefas específicas: O sistema operacional, o mais importante de todos, pois é ele que gerencia todos os outros programas e recursos do computador, reprodutor de áudio e vídeo, editor de textos, etc.

## Principais Componentes Físicos

É importante ressaltar que um computador é composto por dois tipos de dispositivos físicos: Dispositivos de entrada (input em inglês) e saída (output). Dispositivos de entrada: Responsáveis pela comunicação do homem com a máquina. Exemplos: Teclado, microfone e scanner. Dispositivos de saída: Responsáveis pela comunicação da máquina com o homem. Exemplos: Monitor de vídeo, caixas de som e impressora.

## CPU

CPU é a sigla em inglês de "Central Processing unit" (Unidade Central de Processamento). É o processador do computador, o componente responsável por realizar cálculos e processar informações. A velocidade do seu computador está diretamente ligada à velocidade desse componente.

## RAM

RAM é a sigla em inglês de "Random Access Memory" (Memória de Acesso Aleatório). Ela não armazena informações de forma permanente, é apenas um espaço de trabalho temporário. Por exemplo, quando você executa um programa, as informações necessárias ficam na memória RAM, e quando o programa deixa de ser utilizado, as informações referentes a ele são apagadas. Quando o computador é desligado, se ainda existir alguma informação na RAM, esta é apagada.

## HD

HD é a sigla em inglês de "Hard Disk" (Disco Rígido). É a memória permanente do computador, onde ficam armazenados o sistema operacional, programas e todos os arquivos pessoais do usuário. Não se apaga ao desligar o computador.

### Exercícios

1. Cite outros dois exemplos de dispositivos de entrada de dados.

2. Cite outros dois exemplos de dispositivos de saída de dados.

3. Cite dois exemplos de equipamentos que podem ser considerados como computadores.

4. Conhecendo os dispositivos de entrada e saída em um computador convencional, quais são os dispositivos de entrada e saída de dados em um celular?

5. Cite três exemplos de dispositivos de armazenamento de dados de forma permanente.