﻿# Conceitos Básicos

## Protocolo

Protocolo é um termo muito comum na informática. Mesmo que não pareça, seu significado é simples. O protocolo estabelece um padrão de comunicação, ou seja, regras para que dois programas diferentes consigam trocar informações. É como um idioma para o ser humano. Para que duas pessoas de países diferentes consigam se comunicar, é preciso que ambas conheçam um idioma (protocolo) em comum, caso contrário não é possível compreender um ao outro. O protocolo segue o mesmo raciocínio. Abaixo serão listados os protocolos mais comuns.

## HTTP

HTTP é a sigla em inglês de "HyperText Transfer Protocol" (Protocolo de Transferência de Hipertexto). É utilizado para exibir páginas HTML, os sites. Por isso todo endereço de site começa em: http:// e logo depois vem o endereço. É o HTTP que se comunica com o servidor para exibir a página que queremos acessar.

## IP

IP é a sigla em inglês de "Internet Protocol" (Protocolo de Internet). É uma identificação única para cada computador conectado. Pode ser comparado a um documento de identidade, por exemplo. O HTTP, como foi visto acima, depende do IP, pois é preciso saber qual a identificação da sua máquina e do servidor para estabelecer a comunicação

## TCP.

TCP é a sigla em inglês de "Transmission Control Protocol" (Protocolo de Controle de Transmição). Ele é o principal protocolo para enviar e receber informações, já que é o protocolo de controle de transmição. A maioria dos outros protocolos dependem do TCP.

## SMTP

SMTP é a sigla em inglês de "Simple Mail Transfer Protocol " (Protocolo de Transferência de Correio Simples). Esse protocolo é responsável por enviar e-mails na Internet.

## POP3

POP3 é a sigla em inglês de "Post Office Protocol" (Protocolo de Correios). O 3 refere-se apenas à versão do POP. É utilizado para receber os e-mails do servidor de e-mail para seu computador.

## IRC

IRC é a sigla em inglês de "Internet Relay Chat". É um protocolo de comunicação na Internet, utilizado principalmente como bate-papo (chat).

## SSH

SSH é a sigla em inglês de "Segure Shell" (Shell Seguro). Esse protocolo fornece um canal seguro para enviar e receber informações, principalmente quando se está conectado a uma rede insegura.

### Exercícios

1. Por que o protocolo pode ser comparado a um idioma?

2. Cite outro protocolo para recebimento de e-mails.

3. Conhece algum outro protocolo que não foi mencionado acima? Qual? Para que serve?