﻿# Discos e Partições

## Introdução a Partições

Partições são divisões existentes no disco rígido que marcam onde começa e onde termina um sistema de arquivos. As partições nos permitem usar mais de um sistema operacional no mesmo computador, ou dividir o disco rígido em uma ou mais partes para ser usado por um único sistema operacional. Para gravar os dados, o disco rígido deve ser primeiro particionado, e depois a partição deve ser formatada. Após criada e formatada, a partição será automaticamente identificada como um dispositivo no diretório "/dev", e deve ser montada para permitir seu uso. Uma partição de disco não interfere em outras partições existentes. Para particionar o disco, é necessário um programa de particionamento. Os mais comuns são: "fdisk", "cfdisk", e "Disk Druid". Observação: Quando se apaga uma partição, você estará apagando TODOS os arquivos existentes nela!

### Exercícios

1. O que é uma partição?

2. Quais as finalidades de uma partição?

3. Onde as partições são identificadas no sistema?

4. Quais os programas de particionamento de disco mais comuns no Linux?