﻿# Rede

## Utilização do SSH

SSH (Shell Seguro) é um protocolo de administração remota que permite aos usuários controlar e modificar seus servidores pela Internet. O serviço foi criado como uma substituição segura para o Telnet, e usa técnicas criptográficas para garantir que todas as comunicações do servidor remoto aconteçam de forma criptografada. Ele fornece um mecanismo para autenticar um usuário remoto, transferindo entradas do cliente para o servidor de hospedagem e retransmitindo a saída para o cliente. Você pode executar comandos de segurança de modo remoto, como se você estivesse operando fisicamente o computador. O comando SSH é dividido em três partes: ssh 'usuario'@'endereço do servidor' O SSH indica que você deseja abrir uma conexão segura. O usuário representa a conta que você quer acessar, a raiz, por exemplo. O endereço do servidor representa o computador que você quer acessar. Pode ser um endereço IP, como por exemplo: 244.235.23.19, ou um endereço de domínio, por exemplo: www.exemplodeendereco.com. Ao pressionar "enter", será solicitada a senha da conta que você quer acessar. Basta digitá-la e acessar o servidor. Nada aparece na tela, mas a senha é enviada.

Os comandos são os mesmos de um computador local. Para copiar arquivos entre sua máquina e o servidor, existe uma versão segura do comando "cp", o "scp" (Secure Copy). Para copiar arquivos da máquina local para o servidor, faça o seguinte: *scp diretorio-local usuario@servidor:/diretorio-remoto*

Para copiar do computador remoto para o local, basta inverter os parâmetros: *scp usuario@servidor:/diretorio-remoto diretorio-local*

### Exercícios

1. Abra o terminal e faça uma conexão SSH.

2. Liste os arquivos do diretório.

3. Troque de diretório.

4. Copie arquivos do seu computador para o servidor usando o comando de cópia segura.

5. Copie arquivos do servidor para seu computador.